
ChiliProject - Bug # 542: Double initial journal for migrated wiki history

Status: Closed Priority: Normal
Author: Felix Schäfer Category: Journals / History
Created: 2011-07-28 Assignee: Felix Schäfer
Updated: 2011-07-29 Due date:
Remote issue URL:
Affected version: 2.0.0
Description: The initial journal is created twice for objects that were @acts_as_versioned@ (in core: WikiContents), once 

in the migration to create initial journals for activity-providing models 
(source:/db/migrate/20100714111653_build_initial_journals_for_acts_as_journalized.rb) and once in the 
migration to convert WikiContentVersions to Journals 
(source:/db/migrate/20100804112053_merge_wiki_versions_with_journals.rb).

The least sucky way to work around that would be to test the objects providing activity (first migration) if they 
include ActsAsVersioned and not "add" an initial journal as it is already provided by acts_as_versioned, that 
leaves us with data that's already been migrated with the faulty migration. For core, that concerns only the 
WikiContents, and as those don't have a @created_at@ attribute, the corresponding initial journals created in 
the migration didn't get backdated, i.e. the newest initial journal is the wrong one.

Associated revisions
2011-07-29 03:00 pm - Felix SchÃ¤fer 
Remove double initial WikiContentJournals. #542

2011-07-29 06:00 pm - Felix SchÃ¤fer 
Only build initial journals for core classes. #542

History
2011-07-29 01:01 pm - Felix Schäfer
- Status changed from Open to Closed

The migration in commit:55f9ecbe23e558e099a92e241db1ffec2348c76e will remove the newest of any more than 1 initial WikiContentJournal.

2011-07-29 01:13 pm - Felix Schäfer
- Status changed from Closed to Open

Just realized that the currently existing migration still needs to be corrected to avoid the creation of said initial journal.

2011-07-29 02:52 pm - Felix Schäfer
Ok, as there is absolutely no way to find out which @acts_as_activity@ models also were @acts_as_versioned@, Holger proposed to migrate only 
objects of the core classes in the core migration and to document how to upgrade to ChiliProject 2.x for plugin authors that have @acts_as_acticity@ 
and/or @acts_as_versioned@.

2011-07-29 04:37 pm - Felix Schäfer
- Status changed from Open to Closed

Everything OK on test data, confirmed on MySQL by me and postgreSQL by Eric.
